from ..tracker import Gesture
from ..geometry import Positionable


class PointGesture(Gesture, Positionable):
    """
    Abstract base class for positionable gestures that have an assigned touch
    point.
    """
    def __init__(self, event, point=None):
        Gesture.__init__(self, event)

        if not point:
            point = event.get_touch_object()

        Positionable.__init__(self, *point.get_position())
